ZF-7036: Zend_Tool: Zend_Version not found

Issue Type: Bug Created: 2009-06-17T13:50:26.000+0000 Last Updated: 2011-08-04T01:49:09.000+0000 Status: Resolved Fix version(s): - 1.8.4 (23/Jun/09)

Reporter: Jeroen Keppens (amazium) Assignee: Satoru Yoshida (satoruyoshida) Tags: - Zend_Tool

Related issues: - ZF-6525

Attachments: - library.diff


I added ZF 1.8.3. to my include path and started without parameters. It gave me following error.

dev:~# An Error Has Occurred
An action and provider is required.

Zend Framework Fatal error: Class 'Zend_Version' not found in /mnt/hgfs/www/ZF/1.8.3/library/Zend/Tool/Framework/Client/Console/HelpSystem.php on line 164 aranealabs:/var/www# nano /mnt/hgfs/www/ZF/1.8.3/library/Zend/Tool/Framework/Client/Console/HelpSystem.php

aranealabs:/var/www# zf

Wkr Jeroen


Posted by Jeroen Keppens (amazium) on 2009-06-17T13:51:17.000+0000

Patch for the problem

Posted by old of Satoru Yoshida ( on 2009-06-17T19:36:56.000+0000

Solved in SVN r16129

Have you found an issue?

See the Overview section for more details.


© 2006-2016 by Zend, a Rogue Wave Company. Made with by awesome contributors.

This website is built using zend-expressive and it runs on PHP 7.